{-# LANGUAGE CPP #-}
{-# LANGUAGE NoRebindableSyntax #-}
{-# OPTIONS_GHC -fno-warn-missing-import-lists #-}
{-# OPTIONS_GHC -Wno-missing-safe-haskell-mode #-}
module Paths_hledger (
    version,
    getBinDir, getLibDir, getDynLibDir, getDataDir, getLibexecDir,
    getDataFileName, getSysconfDir
  ) where

import qualified Control.Exception as Exception
import Data.Version (Version(..))
import System.Environment (getEnv)
import Prelude

#if defined(VERSION_base)

#if MIN_VERSION_base(4,0,0)
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
#else
catchIO :: IO a -> (Exception.Exception -> IO a) -> IO a
#endif

#else
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
#endif
catchIO = Exception.catch

version :: Version
version = Version [1,21] []
bindir, libdir, dynlibdir, datadir, libexecdir, sysconfdir :: FilePath

bindir     = "/usr/pkg/bin"
libdir     = "/usr/pkg/lib/x86_64-netbsd-ghc-9.0.1/hledger-1.21-8TO1R990Csr5JGLTJ76098"
dynlibdir  = "/usr/pkg/lib/x86_64-netbsd-ghc-9.0.1"
datadir    = "/usr/pkg/share/x86_64-netbsd-ghc-9.0.1/hledger-1.21"
libexecdir = "/usr/pkg/libexec/x86_64-netbsd-ghc-9.0.1/hledger-1.21"
sysconfdir = "/usr/pkg/etc"

getBinDir, getLibDir, getDynLibDir, getDataDir, getLibexecDir, getSysconfDir :: IO FilePath
getBinDir = catchIO (getEnv "hledger_bindir") (\_ -> return bindir)
getLibDir = catchIO (getEnv "hledger_libdir") (\_ -> return libdir)
getDynLibDir = catchIO (getEnv "hledger_dynlibdir") (\_ -> return dynlibdir)
getDataDir = catchIO (getEnv "hledger_datadir") (\_ -> return datadir)
getLibexecDir = catchIO (getEnv "hledger_libexecdir") (\_ -> return libexecdir)
getSysconfDir = catchIO (getEnv "hledger_sysconfdir") (\_ -> return sysconfdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
